Class Specialization
Counting IdManager
Id Manager that just counts the number of ids in use.

IdManager

Counting IdManager

IdManager<void, TSpec>
Include Headers
seqan/graph_types.h
Parameters

TSpec | The specializing type. Metafunctions: Spec Default: Default, see Default.

Specialization of
IdManager
Metafunctions

Spec | The spec of a class. (IdManager)
Value | Type of the items in the container or behind an iterator. (IdManager)

Functions

getIdLowerBound | Returns the smallest distributed id. That is, the return value is guaranteed to be the smallest id obtained so far. (IdManager)
getIdUpperBound | Returns the largest distributed id plus 1. That is, the return value is guaranteed to be an upper bound on all distributed ids. (IdManager)
idCount | Determines the number of ids that were obtained. (IdManager)
idInUse | Checks whether the given id is in use or not. (IdManager)
obtainId | Obtains a new id from the id manager. (IdManager)
releaseAll | Releases all ids handled by this id manager at once. (IdManager)
releaseId | Releases a given id so it can be redistributed later on. (IdManager)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00